Allocate an IBAN [Account Number] for a card linked to the specified profile.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction. |
| profileNumber | String | 1-20 charcaters | ✓ | Profile number linked with this card. |
| cardidentifier | String | 1-20 charcaters | ✓ | The card number, sequence number or tracking number of the specified card. |
| transactionID | String | 1-255 charcaters | ✓ | Transaction ID number generated by the calling client. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client. | |
| Checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>AllocateIBAN</methodName>
<params>
<param>
<value>
<string>0020468925</string>
</value>
</param>
<param>
<value>
<string>9094699072</string>
</value>
</param>
<param>
<value>
<string>402208800000001</string>
</value>
</param>
<param>
<value>
<string>test</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20231201T10:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>6E83F95D8A66AF340B39A2D6247959A52F19110BCC3AB7C26A459648B5DAD1AA</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| cardidentifier | String | The card number, sequence number or tracking number of the specified card.; ; (1-20 characters) |
| terminalID | String | Echo of incoming value |
| transactionDate | Date | Transaction date generated by the calling client. |
| IBANNumber | String | The new IBAN Number allocated for this card.; ; (1-12 characters) |
| transactionID | String | Transaction ID number generated by the calling client.; ; REQUIRED.; ; (1-255 characters) |
| resultCode | Integer | Status code indicating transaction result. |
| resultTest | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>cardIdentifier</name>
<value>
<string>402208800000001</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0020468925</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>transactionDate</name>
<value>
<dateTime.iso8601>20231201T10:00:00</dateTime.iso8601>
</value>
</member>
<member>
<name>IBANNumber</name>
<value>
<string>410112880026</string>
</value>
</member>
<member>
<name>transactionID</name>
<value>
<string>test</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>